process-extras-0.7.1: Process extras

Safe Haskell | None
Language | Haskell2010

System.Process.Text.Builder

Contents

- Orphan instances

Synopsis

- readProcessWithExitCode :: FilePath -> [String] -> Builder -> IO (ExitCode, Builder, Builder)
- readCreateProcessWithExitCode :: CreateProcess -> Builder -> IO (ExitCode, Builder, Builder)

# Documentation

readProcessWithExitCode #

Arguments

:: FilePath | command to run
-> [String] | any arguments
-> Builder | standard input
-> IO (ExitCode, Builder, Builder) | exitcode, stdout, stderr

Specialized version for backwards compatibility.

readCreateProcessWithExitCode #

Arguments

:: CreateProcess | command and arguments to run
-> Builder | standard input
-> IO (ExitCode, Builder, Builder) | exitcode, stdout, stderr

# Orphan instances

ListLikeProcessIO Builder Char # | Like `readProcessWithExitCode`, but using `Text`
Methods forceOutput :: Builder -> IO Builder # readChunks :: Handle -> IO [Builder] #